Skip to main content
Version: 6.0

Retrieving Information About Available Apps

GET /apps​

Get a list of available apps on the SAF Beat Manager:

curl -k -XGET https://<SAF BM IP-address>:7769/apps

Get information about a specific app:

curl -k -XGET https://<SAF B IP-address>:7769/apps/<app name>

Input Parameters (Headers)​

NameTypeDescription
AuthorizationstringLogin and password in Base64 format for SAF Beat Manager authorization

Output Parameters​

An array of objects in JSON format.

Each object consists of the following parameters:

NameTypeDescription
appstringApp name
groupsstring arrayArray of groups that contain this app
connectedclientsintNumber of connected SAF Beats

Supported Errors​

StatusError ContentDescription
400Apps not foundThe apps list is empty
500<error writing response to request>Internal SAF Beat Manager error

Examples​

Output parameters example for the /apps request:

[
{
"app": "scriptbeat_1",
"groups": [
"TestWin",
"Test",
"131"
],
"connectedclients": 2
},
{
"app": "execbeat_1",
"groups": [
"135"
],
"connectedclients": 1
}
]

Output parameters example for the /apps/execbeat_1 request:

{
"app": "execbeat_1",
"groups": [
"135"
],
"connectedclients": 1
}